%define _commit    37280a92d936053785b3510e08d8bc4519057eca
%define _commitish 37280a9
%define _gitver    +4.g%{_commitish}

Name:           swaylock
Version:        1.4
Release:        1%{?dist}
Summary:        Screen locker for Wayland
Group:          User Interface/X
License:        MIT
URL:            https://github.com/swaywm/swaylock
Source0:        %{url}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  git
BuildRequires:  meson
BuildRequires:  pam-devel
BuildRequires:  scdoc
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-protocols) >= 1.14
BuildRequires:  pkgconfig(xkbcommon)
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
Recommends:     swayidle

%description
swaylock is a screen locking utility for Wayland compositors. It is compatible
with any Wayland compositor which implements the following Wayland protocols:
- wlr-layer-shell
- wlr-input-inhibitor
- xdg-output
- xdg-shell

See the man page, swaylock(1), for instructions on using swaylock.

%prep
%autosetup -p 1 -n %{name}-%{version}

%build
export CFLAGS="%{optflags}"
%meson
%meson_build

%install
%meson_install

%files
%license LICENSE
%doc README.md
%{_bindir}/swaylock
%config %{_sysconfdir}/pam.d/swaylock
%{_datadir}/bash-completion/completions/swaylock
%{_datadir}/fish/completions/swaylock.fish
%{_datadir}/zsh/site-functions/_swaylock
%{_mandir}/man1/swaylock.1.gz

%changelog
